### Method

# AppStream SystemInfo set_display_length

#### Declaration [src]

    void
    as_system_info_set_display_length (
      AsSystemInfo* sysinfo,
      AsDisplaySideKind side,
      gulong value_dip
    )

#### Description [src]

Set the current display length for the given side kind. The size needs to be in device-independent pixels, see the AppStream documentation for more information: https://www.freedesktop.org/software/appstream/docs/chap-Metadata.html#tag-relations-display_length

Setting a value explicitly will disable any automatic detection of the display size.

#### Parameters

`side`

  Type: `AsDisplaySideKind`

  The `AsDisplaySideKind` to select.

`value_dip`

  Type: `gulong`

  The length value in device-independt pixels.